CMSIS-Driver: Values

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros
Values
Defines and Structs

Value related defines. More...

## Data Structures

struct | vioValueXYZ_t
| 3-D vector value More...

## Macros

#define | vioAIN0 (0U)
| vioSetValue / vioGetValue id parameter: Analog input value 0 More...
#define | vioAIN1 (1U)
| vioSetValue / vioGetValue id parameter: Analog input value 1 More...
#define | vioAIN2 (2U)
| vioSetValue / vioGetValue id parameter: Analog input value 2 More...
#define | vioAIN3 (3U)
| vioSetValue / vioGetValue id parameter: Analog input value 3 More...
#define | vioAOUT0 (3U)
| vioSetValue / vioGetValue id parameter: Analog output value 0 More...

## Description

Value related defines.

## Data Structure Documentation

struct vioValueXYZ_t

3-D vector value

Structure holding three-dimensional values for gyroscopes, accelerometers, etc.

Parameter for:

- vioGetXYZ
- vioSetXYZ

Data Fields
int32_t | X | X coordinate.
int32_t | Y | Y coordinate.
int32_t | Z | Z coordinate.

## Macro Definition Documentation

#define vioAIN0 (0U)

vioSetValue / vioGetValue id parameter: Analog input value 0

#define vioAIN1 (1U)

vioSetValue / vioGetValue id parameter: Analog input value 1

#define vioAIN2 (2U)

vioSetValue / vioGetValue id parameter: Analog input value 2

#define vioAIN3 (3U)

vioSetValue / vioGetValue id parameter: Analog input value 3

#define vioAOUT0 (3U)

vioSetValue / vioGetValue id parameter: Analog output value 0

/**